Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1205 - root level access from lilo w/o root p/wd
Summary: root level access from lilo w/o root p/wd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 5.2
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-16 17:06 UTC by csmiller
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-22 23:33:03 UTC


Attachments (Terms of Use)

Description csmiller 1999-02-16 17:06:08 UTC
If you enter
linux -s
at lilo's boot: prompt you gain single-user root access
without needing root's (or anyone's) password.
From here you can do almost anything you want.

This prob. has already been reported, but I couldn't find
it in bugzilla.

TIA,
Colin S. Miller

Comment 1 iwade 1999-02-28 01:58:59 UTC
that's a usefull thing to use if you forget your password, if you want
to disable it all you have to do is read the man-pages on lilo.conf

there is an option called 'restricted' which forces lilo to verify the
specified password if there is ANY commandline used at the LILO
prompt.

Comment 2 Bill Nottingham 1999-03-22 23:33:59 UTC
that's a feature of lilo. If you have physical access
to the machine, you can do other things anyways...
(linux init=/bin/bash, and the like). You can
put a password on lilo if you need to.


Note You need to log in before you can comment on or make changes to this bug.